Summary:        (Super)Video CD image mastering and ripping tool
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool
Name:           vcdimager
License:        GPL
Group:          Application/Multimedia
Version:        0.7.20cvs
Release:        1
Source:         http://alpha.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
URL:            http://www.vcdimager.org/
Requires:       libxml2 >= 2.3.8
Requires:       libcdio >= 0.64
BuildPrereq:    libxml2-devel >= 2.3.8, popt >= 1.6, libcdio-devel >= 0.64, texinfo
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU VCDImager is a full-featured mastering suite for authoring,
disassembling and analyzing Video CD's and Super Video CD's.

The core functionality consists of directly making Video CD
BIN/CUE-style CD images from mpeg files, which (after being written to
CDR(W) media) can be played on standalone VCD players or DVD players
and on computers running GNU/Linux, MacOS, Win32 or any other OS
capable of accessing VCD's. BIN/CUE images can be burned with [cdrdao]
(please use a recent version, since older ones do not support
BIN/CUE-style cuesheets) under GNU/Linux (and other supported
platforms by cdrdao, e.g. FreeBSD, Irix, Solaris and even win32)

vcdimager   generates simple pbc-less VCD and SVCD disc images directly
vcd-info    Enhanced vcddebug tool.
vcdxgen     XML VCD-description generator
vcdxbuild   Builds a VCD/SVCD according to a supplied XML control file.
vcdxrip     Reverses the process for a given VCD or SVCD disc.
vcdxminfo   Debugging tool for displaying MPEG stream properties.
cdxa2mpeg   Simple tool for converting RIFF CDXA file to plain mpeg.

Authors:
--------
    Herbert Valerio Riedel <hvr@gnu.org>

%package -n libvcd
Summary:        (Super)Video CD image mastering and ripping tool - Libraries
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool - Bibliotheken
Group: Development/Libraries
BuildRequires:  libcdio-devel >= 0.64
# Packmandepends: libcdio

%description -n libvcd
Libraries for vcdimager

%package -n libvcd-devel
Summary:        (Super)Video CD image mastering and ripping tool - development package
Summary(de):    (Super)Video CD Image erstellungs- und ripp-Tool - Entwicklerpaket
Group: Development/Libraries
Requires: libvcd = %{version}-%{release}

%description -n libvcd-devel
Development files for vcdimager

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh --prefix=/usr --mandir=/usr/share/man
%configure
cp docs/version.texi docs/version-vcd-info.texi
cp docs/version.texi docs/version-vcdxrip.texi
make all
#make -C docs/ vcdimager.ps.gz vcddump.ps.gz

%install
rm -rf %{buildroot}
%makeinstall
rm -vf "%{buildroot}/%{_infodir}/dir"

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING FAQ INSTALL NEWS README THANKS TODO frontends/xml/videocd.dtd
%{_bindir}/*
%doc %{_infodir}/vcd*
%doc %{_mandir}/man1/

%files -n libvcd
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n libvcd-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*

%changelog -n vcdimager
* Sat Nov 29 2003 Jason Luka <jason@geshp.com>
- Rebuilt for Fedora

* Tue Sep 09 2003 Frantisek Dvorak <valtri@atlas.cz>
- versions of tarball and rpm differ
- remove some duplicate items

* Sun Aug 10 2003 Rocky Bernstein <rocky@panix.com>
- one more fix from Manfred Tremmel <Manfred.Tremmel@iiv.de>
  at http://www.iiv.de/schwinde/buerger/tremmel/

* Wed Aug 06 2003 Rocky Bernstein <rocky@panix.com>
- fixes from Manfred Tremmel <Manfred.Tremmel@iiv.de>
  at http://www.iiv.de/schwinde/buerger/tremmel/

* Sat Aug 03 2003 Rocky Bernstein <rocky@panix.com>
- minor spec cleanups

* Sat Jan 04 2002 Herbert Valerio Riedel <hvr@gnu.org>
- minor spec cleanups

* Sat Jan 20 2001 Herbert Valerio Riedel <hvr@gnu.org>
- added THANKS file as doc

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file
